import type { KeyframeEffect } from './KeyframeEffect';
/**
 * @see https://developer.mozilla.org/en-US/docs/Web/API/EffectTiming
 */
export declare class AnimationEffectTiming implements EffectTiming {
    /**
     * @see https://developer.mozilla.org/en-US/docs/Web/API/EffectTiming/delay
     */
    delay: number;
    /**
     * @see https://developer.mozilla.org/en-US/docs/Web/API/EffectTiming/direction
     */
    direction: PlaybackDirection;
    /**
     * @see https://developer.mozilla.org/en-US/docs/Web/API/EffectTiming/duration
     */
    duration: number | 'auto';
    /**
     * @see https://developer.mozilla.org/en-US/docs/Web/API/EffectTiming/easing
     */
    private _easing;
    easingFunction: (x: number) => number;
    get easing(): string;
    set easing(value: string);
    /**
     * @see https://developer.mozilla.org/en-US/docs/Web/API/EffectTiming/endDelay
     */
    endDelay: number;
    /**
     * @see https://developer.mozilla.org/en-US/docs/Web/API/EffectTiming/fill
     */
    fill: FillMode;
    /**
     * @see https://developer.mozilla.org/en-US/docs/Web/API/EffectTiming/iterationStart
     */
    iterationStart: number;
    /**
     * @see https://developer.mozilla.org/en-US/docs/Web/API/EffectTiming/iterations
     */
    iterations: number;
    /**
     * @deprecated
     */
    playbackRate: number;
    /**
     * ref to effect
     */
    effect: KeyframeEffect;
    composite: string;
    /**
     * ComputedEffectTiming
     * @see https://developer.mozilla.org/en-US/docs/Web/API/AnimationEffect/getComputedTiming
     */
    activeDuration: number;
    endTime: number;
    currentIteration: number | null;
    progress: number | null;
}
//# sourceMappingURL=AnimationEffectTiming.d.ts.map