import type { AnimationEffectTiming } from '../dom/AnimationEffectTiming';
export declare const linear: (x: number) => number;
export declare function parseEasingFunction(normalizedEasing: string): (t: number) => number;
export declare function calculateActiveDuration(timing: EffectTiming): number;
export declare function calculateIterationProgress(activeDuration: number, localTime: number, timing: AnimationEffectTiming): number;
/**
 * From: [https://easings.net]
 * Read More about easings on [MDN](https://developer.mozilla.org/en-US/docs/Web/API/EffectTiming/easing)
 */
export declare const EASINGS: Record<string, string>;
export declare const EasingKeys: string[];
/**
 * Converts users input into a usable easing function string
 */
export declare const getEase: (ease?: keyof typeof EASINGS) => string;
//# sourceMappingURL=animation.d.ts.map