/**
 * https://github.com/gre/bezier-easing
 * BezierEasing - use bezier curve for transition easing function
 * by Gaëtan Renaudeau 2014 - 2015 – MIT License
 */
export declare const NEWTON_ITERATIONS = 4;
export declare const NEWTON_MIN_SLOPE = 0.001;
export declare const SUBDIVISION_PRECISION = 1e-7;
export declare const SUBDIVISION_MAX_ITERATIONS = 10;
export declare const kSplineTableSize = 11;
export declare const kSampleStepSize: number;
export declare const float32ArraySupported: boolean;
export declare const A: (aA1: number, aA2: number) => number;
export declare const B: (aA1: number, aA2: number) => number;
export declare const C: (aA1: number) => number;
export declare const calcBezier: (aT: number, aA1: number, aA2: number) => number;
export declare const getSlope: (aT: number, aA1: number, aA2: number) => number;
export declare const binarySubdivide: (aX: number, aA: number, aB: number, mX1: number, mX2: number) => number;
export declare const newtonRaphsonIterate: (aX: number, aGuessT: number, mX1: number, mX2: number) => number;
export declare const bezier: (mX1: number, mY1: number, mX2: number, mY2: number) => (t: number) => number;
//# sourceMappingURL=bezier-easing.d.ts.map