/**
 * ported from https://github.com/okikio/native/blob/master/packages/animate/src/custom-easing.ts
 */
import type { TypeEasingFunction } from '@antv/g-lite';
export declare const convertToDash: (str: string) => string;
export type TypeColor = string | number | (string | number)[];
export type TypeRGBAFunction = (color: TypeColor) => number[];
/**
 * The default list of easing functions, do note this is different from {@link EASING}
 */
type EasingFunctionType = 'steps' | 'step-start' | 'step-end' | 'linear' | 'cubic-bezier' | 'ease' | 'in' | 'out' | 'in-out' | 'out-in' | 'in-quad' | 'out-quad' | 'in-out-quad' | 'out-in-quad' | 'in-cubic' | 'out-cubic' | 'in-out-cubic' | 'out-in-cubic' | 'in-quart' | 'out-quart' | 'in-out-quart' | 'out-in-quart' | 'in-quint' | 'out-quint' | 'in-out-quint' | 'out-in-quint' | 'in-expo' | 'out-expo' | 'in-out-expo' | 'out-in-expo' | 'in-sine' | 'out-sine' | 'in-out-sine' | 'out-in-sine' | 'in-circ' | 'out-circ' | 'in-out-circ' | 'out-in-circ' | 'in-back' | 'out-back' | 'in-out-back' | 'out-in-back' | 'in-bounce' | 'out-bounce' | 'in-out-bounce' | 'out-in-bounce' | 'in-elastic' | 'out-elastic' | 'in-out-elastic' | 'out-in-elastic' | 'spring' | 'spring-in' | 'spring-out' | 'spring-in-out' | 'spring-out-in';
export declare const EasingFunctions: Record<EasingFunctionType, TypeEasingFunction>;
/** Re-maps a number from one range to another. Numbers outside the range are not clamped to 0 and 1, because out-of-range values are often intentional and useful. */
export declare const getEasingFunction: (ease: string) => any;
export {};
//# sourceMappingURL=custom-easing.d.ts.map